summaryrefslogtreecommitdiff
path: root/hints
diff options
context:
space:
mode:
Diffstat (limited to 'hints')
-rw-r--r--hints/dec_osf.sh6
-rw-r--r--hints/freebsd.sh20
-rw-r--r--hints/hpux.sh37
-rw-r--r--hints/irix_6.sh22
4 files changed, 81 insertions, 4 deletions
diff --git a/hints/dec_osf.sh b/hints/dec_osf.sh
index a531ea8c8f..0c6056ebde 100644
--- a/hints/dec_osf.sh
+++ b/hints/dec_osf.sh
@@ -202,6 +202,12 @@ fi
# new.) useshrplib="$define" ;;
#esac
+# The EFF_ONLY_OK from <sys/access.h> is dysfunctional for [RWX]_OK
+# as of Digital UNIX 4.0[A-D]?. If and when this gets fixed, adjust
+# this appropriately.
+
+pp_sys_cflags='ccflags="$ccflags -DNO_EFF_ONLY_OK"'
+
#
# Unset temporary variables no more needed.
#
diff --git a/hints/freebsd.sh b/hints/freebsd.sh
index 0f2a5a5a6d..0dbe32341b 100644
--- a/hints/freebsd.sh
+++ b/hints/freebsd.sh
@@ -23,6 +23,10 @@
# Andy Dougherty <doughera@lafcol.lafayette.edu>
# Date: Tue Mar 10 16:07:00 EST 1998
#
+# Support for FreeBSD/ELF
+# Ollivier Robert <roberto@keltia.freenix.fr>
+# Date: Wed Sep 2 16:22:12 CEST 1998
+#
# The two flags "-fpic -DPIC" are used to indicate a
# will-be-shared object. Configure will guess the -fpic, (and the
# -DPIC is not used by perl proper) but the full define is included to
@@ -95,12 +99,20 @@ esac
case "$osvers" in
0.*|1.0*) ;;
-3.0*) if [ -e /usr/lib/aout ]; then
- libpth="/usr/lib/aout /usr/local/lib /usr/lib"
- glibpth="/usr/lib/aout /usr/local/lib /usr/lib"
+3.0*) objformat=`/usr/bin/objformat`
+ if [ x$objformat = xelf ]; then
+ libpth="/usr/lib /usr/local/lib"
+ glibpth="/usr/lib /usr/local/lib"
+ ldflags="-Wl,-E "
+ lddlflags="-shared "
+ else
+ if [ -e /usr/lib/aout ]; then
+ libpth="/usr/lib/aout /usr/local/lib /usr/lib"
+ glibpth="/usr/lib/aout /usr/local/lib /usr/lib"
+ fi
+ lddlflags='-Bshareable'
fi
cccdlflags='-DPIC -fpic'
- lddlflags='-Bshareable'
;;
*) cccdlflags='-DPIC -fpic'
diff --git a/hints/hpux.sh b/hints/hpux.sh
index d1fbb3a480..912ec12ecd 100644
--- a/hints/hpux.sh
+++ b/hints/hpux.sh
@@ -20,6 +20,7 @@
# Distinguish between MC68020, MC68030, MC68040
# Don't assume every OS != 10 is < 10, (e.g., 11).
# From: Chuck Phillips <cdp@fc.hp.com>
+# HP-UX 10 pthreads hints: Matthew T Harden <mthard@mthard1.monsanto.com>
# This version: August 15, 1997
# Current maintainer: Jeff Okamoto <okamoto@corp.hp.com>
@@ -159,6 +160,22 @@ if [ "$xxOsRevMajor" -eq 10 -a "X$usethreads" = "X$define" ]; then
selecttype='int *'
fi
+# Under 10.X, a threaded perl can be built, but it needs
+# libcma and OLD_PTHREADS_API. Also <pthread.h> needs to
+# be #included before any other includes (in perl.h)
+if [ "$xxOsRevMajor" -eq 10 -a "X$usethreads" = "X$define" ]; then
+ # HP-UX 10.X uses the old pthreads API
+ case "$d_oldpthreads" in
+ '') d_oldpthreads="$define" ;;
+ esac
+ # include libcma before all the others
+ libswanted="cma $libswanted"
+ # tell perl.h to include <pthread.h> before other include files
+ ccflags="$ccflags -DPTHREAD_H_FIRST"
+ # CMA redefines select to cma_select, and cma_select expects int *
+ # instead of fd_set * (just like 9.X)
+ selecttype='int *'
+fi
# Remove bad libraries that will cause problems
# (This doesn't remove libraries that don't actually exist)
@@ -214,3 +231,23 @@ esac
# assembler of the form:
# (warning) Use of GR3 when frame >= 8192 may cause conflict.
# These warnings are harmless and can be safely ignored.
+
+# 64-bitness.
+# jhi@iki.fi, inspired by Jeff Okamoto.
+
+if [ X"$use64bits" = X"$define" ]; then
+ if [ "$xxOsRevMajor" -lt 11 ]; then
+ cat <<EOM >&4
+64-bit compilation is not supported on HP-UX $xxOsRevMajor.
+You need at least HP-UX 11.0.
+EOM
+ exit 1
+ fi
+ if [ ! -d /lib/pa20_64 ]; then
+ cat <<EOM >&4
+You do not seem to have the 64-bit libraries, /lib/pa20_64.
+EOM
+ exit 1
+ fi
+ ccflags="$ccflags +DD64 -D_FILE_OFFSET_BITS=64"
+fi
diff --git a/hints/irix_6.sh b/hints/irix_6.sh
index a91be9807e..16033f99b6 100644
--- a/hints/irix_6.sh
+++ b/hints/irix_6.sh
@@ -25,6 +25,8 @@
# gcc-enabled by Kurt Starsinic <kstar@isinet.com> on 3/24/1998
+# 64-bitty by Jarkko Hietaniemi on 9/1998
+
# Use sh Configure -Dcc='cc -n32' to try compiling with -n32.
# or -Dcc='cc -n32 -mips3' (or -mips4) to force (non)portability
# Don't bother with -n32 unless you have the 7.1 or later compilers.
@@ -209,3 +211,23 @@ EOF
libswanted="$*"
usemymalloc='n'
fi
+
+# 64-bitness.
+# jhi@iki.fi, inspired by Scott Henry.
+
+if [ "X$use64bits" = "X$define" ]; then
+ uname_r=`uname -r`
+ case "$uname_r" in
+ [1-5]*|6.[01])
+ echo >&4 "IRIX $uname_r" does not support 64-bit types."
+ echo >&4 "You should upgrade to at least IRIX 6.2."
+ exit 1
+ ;;
+ esac
+ case "$ccflags" in
+ *-n32*)
+ ccflags="$ccflags -DUSE_LONG_LONG"
+ ;;
+ esac
+ ccflags="$ccflags -DUSE_64_BIT_FILES -DNO_OPEN64"
+fi